This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 966477 - Downloading cartridges is still enabled on website and met "You must specify a cartridge...." error when creating app using community url after setting "DOWNLOAD_CARTRIDGES_ENABLED" = false.
Downloading cartridges is still enabled on website and met "You must specify ...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Website (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 06:55 EDT by Yujie Zhang
Modified: 2015-05-14 21:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:09:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Yujie Zhang 2013-05-23 06:55:54 EDT
Description of problem:

Sshed to instance and set DOWNLOAD_CARTRIDGES_ENABLED=false on broker-dev.conf, and restart the broker, then found that the community cartridge url input form still exists and when creating app using community url, met "You must specify a cartridge. Valid values are (diy-0.1, php-5.3, jbossas-7, perl-5.10, mock-0.1, mock-0.2, zend-5.6, jenkins-1.4, nodejs-0.6, jbossews-2.0, jbossews-1.0, jbosseap-6.0, python-2.6, python-2.7, python-3.3, ruby-1.9, ruby-1.8)" error.

This issue only exists on website, rhc will return message when downloading cartridge is disabled.

Version-Release number of selected component (if applicable):
devenv_3262

How reproducible:
always

Steps to Reproduce:
1.Ssh to instance and set "DOWNLOAD_CARTRIDGES_ENABLED" = false
2.Go to create app page 
3.Try to create app using community url

Actual results:

The communtiy url form still exists after setting "DOWNLOAD_CARTRIDGES_ENABLED" = false, and met "You must specify a cartridge. Valid values are (diy-0.1, php-5.3, jbossas-7, perl-5.10, mock-0.1, mock-0.2, zend-5.6, jenkins-1.4, nodejs-0.6, jbossews-2.0, jbossews-1.0, jbosseap-6.0, python-2.6, python-2.7, python-3.3, ruby-1.9, ruby-1.8)" error when creating app using community url.
Log is as following:

2013-05-23 06:36:36.941 [DEBUG] OpenShift API (113.0ms) get https://localhost:443/broker/rest/user.json [ code: 200 ] (pid:5193)
2013-05-23 06:36:36.984 [DEBUG] OpenShift API (38.8ms) get https://localhost:443/broker/rest/domains.json [ code: 200 ] (pid:5193)
2013-05-23 06:36:37.486 [DEBUG] OpenShift API (60.8ms) post https://localhost:443/broker/rest/domains/r6456/applications.json [ code: 422 ] (pid:5193)
2013-05-23 06:36:37.492 [DEBUG] Server error: :cartridge #109: You must specify a cartridge. Valid values are (diy-0.1, php-5.3, jbossas-7, perl-5.10, mock-0.1, mock-0.2, zend-5.6, jenkins-1.4, nodejs-0.6, jbossews-2.0, jbossews-1.0, jbosseap-6.0, python-2.6, python-2.7, python-3.3, ruby-1.9, ruby-1.8) (pid:5193)
2013-05-23 06:36:37.494 [DEBUG] Found errors on the response object: {:cartridge=>["You must specify a cartridge. Valid values are (diy-0.1, php-5.3, jbossas-7, perl-5.10, mock-0.1, mock-0.2, zend-5.6, jenkins-1.4, nodejs-0.6, jbossews-2.0, jbossews-1.0, jbosseap-6.0, python-2.6, python-2.7, python-3.3, ruby-1.9, ruby-1.8)"]} (pid:5193)
2013-05-23 06:36:37.499 [DEBUG] #<ActiveResource::Errors:0x00000005e8bbb0 @base=#<Application:0x00000005f4d2d8 @as=#<WebUser::Integrated:0x00000005e270c0 @rhlogin="jinzhang+cad@redhat.com", @ticket="0|xw7xdcO6SDeHNQRHLvGcaVzmN1xeSA9ck5M", @api_ticket="e6a677b07f90b4f7b4f452396cc47d663fa12c574423267efe054beeb7a6e6bd", @streamline_type=:full, @errors=#<ActiveModel::Errors:0x00000005e269b8 @base=#<WebUser::Integrated:0x00000005e270c0 ...>, @messages={}>>, @attributes={"cartridges"=>[#<CartridgeType:0x00000005f4cdd8 @as=nil, @attributes={"url"=>"https://raw.github.com/ironcladlou/openshift-origin-cartridge-perl/master/metadata/manifest.yml"}, @prefix_options={}, @persisted=true>], "initial_git_url"=>"", "name"=>"aaaasd", "gear_profile"=>"small"}, @prefix_options={:domain_id=>"r6456"}, @persisted=false, @errors=#<ActiveResource::Errors:0x00000005e8bbb0 ...>, @changed_attributes={"name"=>nil}, @remote_errors=#<ActiveResource::ResourceInvalid: Failed.  Response code = 422.  Response message = .>, @validation_context=nil, @connection=#<RestApi::UserAwareConnection:0x00000005e8b3b8 @password=nil, @user=nil, @uri_parser=#<URI::Parser:0x00000005e8b318>, @site=#<URI::HTTPS:0x000000043c11e0 URL:https://localhost/broker/rest>, @for

Expected results:

The community url form should be hiddened after setting DOWNLOAD_CARTRIDGES_ENABLED" = false.

Additional info:
Comment 1 Jordan Liggitt 2013-05-23 09:55:56 EDT
I cannot recreate.

Please make sure the broker conf file has the value quoted:
DOWNLOAD_CARTRIDGES_ENABLED="false"

Also, make sure the site cache is cleared, or wait five minutes for the setting to take effect in the UI.
Comment 2 Yujie Zhang 2013-05-24 06:48:16 EDT
hi Jordan,

I am very sure that DOWNLOAD_CARTRIDGES_ENABLED="false" in both broker.conf and broker-dev.conf (incase I changed the wrong file, I changed both of them), and I tried to clear the caches of browser, and wait for more than 5 minutes, but still can reproduce above issue, I tested on devenv_3269, could you please try it again? Thank you very much!
Comment 3 Yujie Zhang 2013-05-24 07:18:05 EDT
Tried again after about 1 hour, found that the community url form disappear, so it's just the time delay, I will verify this bug, thanks!

Note You need to log in before you can comment on or make changes to this bug.